
Robotics Service Bus - Tasks #267
Tasks # 263 (Resolved): Implement coherent dynamic behavior 
Fix (re)configuration of filters and handlers
04/29/2011 04:11 PM - J. Moringen

Status: Resolved Start date: 04/29/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 6.00 hours
Target version:
Description

    -  Remove (currently unused) FilterObservable
    -  Add add/removeFilter methods
    -  Add add/removeHandler methods
        -  Including "wait" flag for synchronized operation
    -  Make sure that the EventReceivingStrategy can meet the new guarantees

Associated revisions
Revision 599714f7 - 05/02/2011 03:35 PM - J. Wienke

remove unused FilterObservable interface

refs #267

Revision 4e81f276 - 05/02/2011 05:37 PM - J. Wienke

    -  remove Subscription class fixes #257
    -  restructure handling of Handlers and filters according to UML model without FilterObservable interface etc. refs #267

Revision 72f5b882 - 05/02/2011 06:34 PM - J. Wienke

replace filter notification for joining groups with a dedicated setScope function

refs #267

Revision 767ead25 - 05/03/2011 01:37 PM - J. Wienke

Ensure handler registration guarantees if requested, fixes #267

History
#1 - 04/29/2011 04:14 PM - J. Moringen
- Subject changed from ( to Fix (re)configuration of filters and handlers
- Category set to C++
- Estimated time set to 6.00
- Parent task set to #263

#2 - 05/02/2011 03:28 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#3 - 05/03/2011 01:37 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r782.
